/*
** Module   : XDocument.java
** Abstract : Defines common API for X-document handle
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------Description----------------------
** 001 OM  20130131 First commit, basic features declared.
*/

package com.goldencode.p2j.util;

/**
 * A handle to an X-document object. You create the handle and assign it to a 
 * handle variable with the CREATE X-DOCUMENT statement.
 * @author ovidiu
 */
public interface XDocument
extends WrappedResource
{

   /**
    * Obtain the value of the XML node. (NODE-VALUE attribute)
    * 
    * @return  The value of the XML node.
    */
   public character getNodeValue();

   /**
    * Sets the value of the XML node. (NODE-VALUE attribute)
    * 
    * @param   val
    *          The value of the XML node.
    */
   public void setNodeValue(character val);

   /**
    * Obtain the number of child nodes below the this node.
    * 
    * @return  The number of child nodes below the this node.
    */
   public integer getNumChildren();
}
